<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddMohAudioSourceReq StructType
 * @subpackage Structs
 */
class AddMohAudioSourceReq extends APIRequest
{
    /**
     * The mohAudioSource
     * @var XMohAudioSource
     */
    public $mohAudioSource;
    /**
     * Constructor method for AddMohAudioSourceReq
     * @uses AddMohAudioSourceReq::setMohAudioSource()
     * @param XMohAudioSource $mohAudioSource
     */
    public function __construct(XMohAudioSource $mohAudioSource = null)
    {
        $this
            ->setMohAudioSource($mohAudioSource);
    }
    /**
     * Get mohAudioSource value
     * @return XMohAudioSource|null
     */
    public function getMohAudioSource()
    {
        return $this->mohAudioSource;
    }
    /**
     * Set mohAudioSource value
     * @param XMohAudioSource $mohAudioSource
     * @return AddMohAudioSourceReq
     */
    public function setMohAudioSource(XMohAudioSource $mohAudioSource = null)
    {
        $this->mohAudioSource = $mohAudioSource;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddMohAudioSourceReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
